﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WebBrowserTutorial
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            webBrowser.GoHome();
        }

        private void back_Click(object sender, EventArgs e)
        {
            webBrowser.GoBack();
        }

        private void forward_Click(object sender, EventArgs e)
        {
            webBrowser.GoForward();
        }

        private void refresh_Click(object sender, EventArgs e)
        {
            webBrowser.Refresh();
        }

        private void stop_Click(object sender, EventArgs e)
        {
            webBrowser.Stop();
        }

        private void home_Click(object sender, EventArgs e)
        {
            webBrowser.GoHome();
        }

        private void go_Click(object sender, EventArgs e)
        {
            webBrowser.Navigate(url.Text);
        }

        private void webBrowser_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            url.Text = e.Url.ToString();
        }
    }
}
